てくてくあるく

WordPress の テーマ とか プラグイン に ついて 勉強しています

gem の アップデート 時 に エラーが出て 困ったので 覚書です


まずは gem 本体のアップデートです
sudo update_rubygems

最初
sudo gem update --system
かと思っていたのですが 一定バージョン以上は 上記のコマンドになったようです

僕は 両方動いているようですけど
何が どう違うのでしょう??

知っている方いたら コメントで 教えて下さい!!


次に gem の パッケージ の アップデート です
sudo gem update

ここで mkmf.rb can’t find header files の ようなエラーが 出たら
Xcode を インストールする必要があります

こちらを 実行後 もう一度アップデートを 試してください
xcode-select --install

Makefile に 失敗するようでしたら Xcode の ライセンスを 有効にします
sudo xcodebuild -license


最後に 旧バージョン を 破棄
sudo gem clean


今何が インストール されているか 確認する場合は
gem list


これで 一通り アップデートができたかと思います

Related Article

Xamarin が Visual Studio へ 統合されて 無料 で 使える!!

詳細へ »

macOS Sierra に 開発環境 を 再セットアップ する

詳細へ »

OS X El Capitan の 気になったところ まとめ

詳細へ »